import request from "@/plugins/request";

/**
 * @description 查询考试列表
 */
export const getExamListHttp = (data: FetchExamListQuery) => {
  return request.post<FetchExamListQuery, MultiplePageData<ExamListInfo>>(
    "/api/exam/page",
    data
  );
};

/**
 * @description 新增/修改考试信息
 */
export const editExamInfoHttp = (data: BaseExamInfo) => {
  return request.post<BaseExamInfo, null>("/api/exam/save", data);
};

/**
 * @description 考试数据同步
 */
export const syncExamDataHttp = (data: { schoolId: string }) => {
  return request.post<unknown, null>("/api/exam/sync", data);
};
