import { sessionStorageTool } from "@/utils/storage";
import { SESSION_STORAGE_KEYS } from "@/constants/storage";
import useMainStore from "@/store/main";

export const getLoginResult = (): LoginResult | null => {
  return sessionStorageTool.get(SESSION_STORAGE_KEYS.LOGIN_RESULT);
};

export const cacheLoginResult = (loginResult: LoginResult): LoginResult => {
  const store = useMainStore();
  store.loginResult = loginResult;
  sessionStorageTool.set(SESSION_STORAGE_KEYS.LOGIN_RESULT, loginResult);
  return loginResult;
};

export const getUserInfo = (): SystemUserInfo | null => {
  return sessionStorageTool.get(SESSION_STORAGE_KEYS.USER_INFO);
};

export const cacheUserInfo = (userInfo: SystemUserInfo): SystemUserInfo => {
  const store = useMainStore();
  store.systemUserInfo = userInfo;
  sessionStorageTool.set(SESSION_STORAGE_KEYS.USER_INFO, userInfo);
  return userInfo;
};
